Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 606002 - libvpx-0.9.0 is too old for FFmpeg-0.6, update to 0.9.1
libvpx-0.9.0 is too old for FFmpeg-0.6, update to 0.9.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvpx (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-19 17:26 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2010-07-15 17:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: libvpx-0.9.1-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 13:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2010-06-19 17:26:55 EDT
Description of problem:
FFmpeg-0.6 fails to build against libvpx-0.9.0. I've prepared my own 0.9.1 package and FFmpeg builds fine against it. Please update.

Version-Release number of selected component (if applicable):
libvpx-0.9.0-5.fc12

How reproducible:
Always

Steps to Reproduce:
1. unpack FFmpeg-0.6 source
2. ./configure --enable-libvpx
  
Actual results:
ERROR: libvpx not found

Expected results:
Should build normally.

Additional info:
check_cc
BEGIN /tmp/ffconf.LXt4ankr.c
    1   
    2   #include <vpx/vpx_encoder.h>
    3   #include <vpx/vp8cx.h>
    4   int main(int argc, char **argv){
    5       return (long) vpx_codec_enc_init_ver;
    6   }
END /tmp/ffconf.LXt4ankr.c
gcc -D_ISOC99_SOURCE -D_POSIX_C_SOURCE=200112 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -DPIC -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -std=c99 -fomit-frame-pointer -fPIC -pthread -I/usr/include/dirac -I/usr/include/schroedinger-1.0 -I/usr/include/liboil-0.3 -c -o /tmp/ffconf.cENFYd8T.o /tmp/ffconf.LXt4ankr.c
In file included from /tmp/ffconf.LXt4ankr.c:2:
/usr/include/vpx/vpx_encoder.h:84: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'vpx_codec_pts_t'
/usr/include/vpx/vpx_encoder.h:132: error: expected specifier-qualifier-list before 'vpx_codec_pts_t'
/usr/include/vpx/vpx_encoder.h:142: error: expected specifier-qualifier-list before 'uint64_t'
In file included from /tmp/ffconf.LXt4ankr.c:2:
/usr/include/vpx/vpx_encoder.h:690: error: expected declaration specifiers or '...' before 'vpx_codec_pts_t'
ERROR: libvpx not found
Comment 1 Tom "spot" Callaway 2010-06-24 10:04:50 EDT
Sorry for the delay here, was on vacation. Updates coming now.
Comment 2 Fedora Update System 2010-06-28 14:57:44 EDT
libvpx-0.9.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libvpx-0.9.1-2.fc12
Comment 3 Fedora Update System 2010-06-28 14:58:55 EDT
libvpx-0.9.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libvpx-0.9.1-2.fc13
Comment 4 Fedora Update System 2010-06-28 19:36:59 EDT
libvpx-0.9.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvpx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libvpx-0.9.1-2.fc13
Comment 5 Fedora Update System 2010-06-29 11:30:23 EDT
libvpx-0.9.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libvpx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libvpx-0.9.1-2.fc12
Comment 6 Fedora Update System 2010-07-07 13:41:39 EDT
libvpx-0.9.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-07-15 17:04:27 EDT
libvpx-0.9.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.